Bug 971980 - UEFI installation hangs
UEFI installation hangs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 14:27 EDT by karl
Modified: 2014-02-05 16:43 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:43:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description karl 2013-06-07 14:27:03 EDT
Description of problem:

Installation of Fedora 18 hangs in UEFI mode on ASUS F2A85-M Board. (current BIOS Version 6102 and all lower versions)

How reproducible:
Create Boot-medium (USB Flash Drive or DVD), press F8 after power on, select UEFI: <Device with Install-Medium>

Steps to Reproduce:
1. Press F8 after power on, to open BOOT-Menu
2. Select UEFI: <Install medium>
3. GRUP MENU is showning
4. Select first entry
5. "Secure boot not enabled" is showing
6. Blank screen is showing
7. nothing happens

Actual results:
showing Grub Menu, Secure boot not enabled(or if secureboot is enabled: "Binary is verified by the vendor certificate"), blank screen -> hangs 

Expected results:
boot to the installer


Additional info:
16GB Ram
Samsung 830 SSD 256GB
Comment 1 Volker Braun 2013-07-03 08:29:44 EDT
I get exactly the same on a Thinkpad W530 attempting a Fedora 19 x86_64 install (or rescue, or ISO checksum test) in UEFI mode. I have 32 GB RAM and discrete graphics is disabled in the BIOS. Enabling/disabling UEFI CSM does not change the outcome. 

While trying to boot from the F19 install DVD from an external USB I get to the Grub menu as expected. No matter which option I select, there is a short activity on the DVD drive and then I'm stuck at "Secure boot not enabled" (if secure boot is disabled in the bios) or the "Binary is verified..." message if I enable it.

I have an F19 installation on my (GPT-partitioned) SSD that was FedUp-graded from F18. This used to boot in UEFI mode, but I broke something during the beta cycle. When I try to boot this install I get exactly the same issue: The Grub2 commandline works, but when booting a kernel it immediately hangs with the "Secure boot not enabled" message on an otherwise black screen. However, on the already installed version the /boot/efi/EFI/fedora/grub.cfg is wrong so I might be doing something wrong on the Grub2 commandline.
Comment 2 Joe Julian 2013-09-29 13:50:31 EDT
I also have the same thing on an MSI GX70 3BE. At the suggestion of upstream, I added the efi linux.mod to a usb live (or install) key, added "insmod linux" and changed "linuxefi" and "initrdefi" to "linux" and "initrd" in grub.cfg and was able to boot successfully.

I think bug 1004195 is a duplicate.
Comment 3 Volker Braun 2013-10-29 09:12:24 EDT
Stills happens with Fedora-Live-Desktop-x86_64-20-Alpha-4.iso, for the record.

I applied the latest bios update to my W530 since the changelog mentioned some fix for usb booting, but that didn't make a difference either.
Comment 4 Peter Jones 2013-11-04 09:22:59 EST
(In reply to Volker Braun from comment #1)
> No matter which option I select, there is a short
> activity on the DVD drive and then I'm stuck at "Secure boot not enabled"
> (if secure boot is disabled in the bios) or the "Binary is verified..."
> message if I enable it.

This means the kernel was loaded successfully and then it failed.
Comment 5 Fedora End Of Life 2013-12-21 08:54:40 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 16:43:24 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.